Subject: ISE appointment

From: IAB Chair <[email-masked]>
Date: Wed, 18 Oct 2017 14:35:27 -0700

The Internet Architecture Board is pleased to announce the appointment 
of Adrian Farrel as Independent Submission Editor (ISE).  This 
appointment is for a two-year term, beginning on February 15th, 2018.

There was a very strong pool of candidates, and the IAB thanks each of 
the candidates for their willingness to serve.

The candidates each brought forward interesting points about the role 
and its possible evolution, and the IAB hopes to work with Adrian, 
them,  and the wider community on these issues once Adrian has taken up 
the role.

regards,

Ted Hardie
for the IAB